Subject: Re: bug#13321: 24.3.0.50; Gmail error when replying from Gnus to github

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 14 Feb 2013 07:35:33 +0100

Hi Lars,

Thierry Volpiatto <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Lars Magne Ingebrigtsen <[email-masked]> writes:
>>
>>> Thierry Volpiatto <[email-masked]> writes:
>>>
>>>> Lars Magne Ingebrigtsen <[email-masked]> writes:
>>>>
>>>>> Thierry Volpiatto <[email-masked]> writes:
>>>>>
>>>>>> When you receive a mail from somebody that report you a bug on github
>>>>>> the "From" header is like this:
>>>>>>
>>>>>> From: Bob <[email-masked]>
>>>>>>
>>>>>> And then Gnus ask:
>>>>>> Address [email-masked]' might be bogus.  Continue? (y or n)  y
>>>>>
>>>>> And Then Gnus asks?  Spontaneously?
>>>> Yes, but not always and it does the same on emacs-24 branch without
>>>> trying to send on <[email-masked]>.
>>>>
>>>>> Or do you use a command first?  In which case, what command?
>>>
>>> You ... do something ... and then Gnus spontaneously starts asking you a
>>> question about "[email-masked]"?
>>>
>>> That sounds very odd indeed.  Gnus normally doesn't send email messages
>>> without being told that it should do so.
>> If you want you can submit a fake bug report here:
>> https://github.com/emacs-helm/helm/issues?state=open
>>
>> And then we could try answering each other using Gnus. (I will switch to
>> trunk to reproduce)
>> Probably you should hit the bug too (Maybe use a Gmail address?) 
>>
>> Note: I will not have the time today, I am outdoor. (maybe tonight or tomorrow).
>>
>>> Are you sure you're not using a command to send an email or something?
>>> Like `f' or `r' or something?
>> 1) I open and read mail
>> 2) I hit "F"
>> 3) Edit my reply ...
>> 4) C-c C-c
>> 5) Address [email-masked]' might be bogus.  Continue? (y or n)
>
> In the last reply I sent on github with emacs from trunk, it seems I was
> NOT asked for 5), could it be that Gnus ignore [email-masked]'
> and when ignoring this, a reply is sent to  <[email-masked]> ?
>
> Also, I am sending my mails asynchronously (`smtpmail-send-it' is
> wrapped in a function that use another emacs to send), does something
> new happen (modification of headers) at this time ?
I tried using "normally" `smtpmail-send-it', not the async function and
get same error from gmail:

--8<---------------cut here---------------start------------->8---
X-Failed-Recipients: [email-masked]
Subject: Delivery Status Notification (Failure)
Message-ID: <[email-masked]>
Date: Wed, 13 Feb 2013 23:37:16 +0000
--8<---------------cut here---------------end--------------->8---

So Gnus is still trying to send to "[email-masked]".

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997